#include <Ultrasonic.h>
#include <AFMotor.h>

#define TRIGGER_PIN  33
#define ECHO_PIN     31

Ultrasonic ultrasonic(TRIGGER_PIN, ECHO_PIN);

AF_DCMotor motor1(1);
AF_DCMotor motor2(2);
AF_DCMotor motor3(3);
AF_DCMotor motor4(4);

uint8_t i = 0;
long microsec;
int size;

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Motor test!");

  // turn on motor
  motor1.setSpeed(200);
  motor2.setSpeed(200);
  motor3.setSpeed(200);
  motor4.setSpeed(200);
 
  motor1.run(RELEASE);
  motor2.run(RELEASE);
  motor3.run(RELEASE);
  motor4.run(RELEASE);
}

void loop() {
  
  microsec = ultrasonic.timing();
  size = ultrasonic.convert(microsec, Ultrasonic::CM);
  //size = map(ultrasonic.convert(microsec, Ultrasonic::CM), 0, 200, 0, 10);

  motor1.run(BACKWARD);
  motor2.run(BACKWARD);
  motor3.run(BACKWARD);
  motor4.run(BACKWARD);
  //if (i < 255 && i >= 0){
    if (size<40) {
      i=max(i-50,0);
    } else {
      i=min(i+30,100);
    }
    motor1.setSpeed(i);
    motor2.setSpeed(i);
    motor3.setSpeed(i);
    motor4.setSpeed(i);  
    delay(500);
 //} else {
 //  i = 0;
 //}
 
}

