//************************************************************//

// Adafruit Motor shield library
// copyright Adafruit Industries LLC, 2009
// this code is public domain, enjoy!

#include <AFMotor.h>

//Carrega a biblioteca do sensor ultrassonico
#include <Ultrasonic.h>
 
//Define os pinos para o trigger e echo
#define pino_trigger 33
#define pino_echo 31
 
//Inicializa o sensor nos pinos definidos acima
Ultrasonic ultrasonic(pino_trigger, pino_echo);

AF_DCMotor motor1(1);
AF_DCMotor motor2(2);
AF_DCMotor motor3(3);
AF_DCMotor motor4(4);

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Motor test!");

  // turn on motor
  motor1.setSpeed(200);
  motor2.setSpeed(200);
  motor3.setSpeed(200);
  motor4.setSpeed(200);
  
 
  motor1.run(RELEASE);
  motor2.run(RELEASE);
  motor3.run(RELEASE);
  motor4.run(RELEASE);
}

void loop(){
  uint8_t i;

  float cmMsec;
  long microsec = ultrasonic.timing();
  cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);

  
  
  while(cmMsec > 50){
      motor1.run(BACKWARD);
      motor2.run(BACKWARD);
      motor3.run(BACKWARD);
      motor4.run(BACKWARD);
        motor1.setSpeed(100);  
        motor2.setSpeed(100);  
        motor3.setSpeed(100);  
        motor4.setSpeed(100);  
      /*for (i=0; i<255; i++) {
        motor1.setSpeed(i);  
        motor2.setSpeed(i);  
        motor3.setSpeed(i);  
        motor4.setSpeed(i);  
        */
        delay(1000);
      //}

     microsec = ultrasonic.timing();
     cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);
      
  }

  /*for (i=100; i!=0; i--) {
        motor1.setSpeed(i);  
        motor2.setSpeed(i);  
        motor3.setSpeed(i);  
        motor4.setSpeed(i);  
        
        delay(10);
      }
  */
  Serial.print("tech");
  motor1.run(RELEASE);
  motor2.run(RELEASE);
  motor3.run(RELEASE);
  motor4.run(RELEASE);
  
  delay(1000);
}

