#include <Ultrasonic.h>

#define pino_trigger 33
#define pino_echo 31
// Adafruit Motor shield library
// copyright Adafruit Industries LLC, 2009
// this code is public domain, enjoy!

#include <AFMotor.h>

AF_DCMotor motor1(1);
AF_DCMotor motor2(2);
AF_DCMotor motor3(3);
AF_DCMotor motor4(4);
Ultrasonic ultrasonic(pino_trigger, pino_echo);

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Motor test!");

  Serial.begin(9600);
  Serial.println("Lendo dados do sensor...");

  // turn on motor
  motor1.setSpeed(200);
  motor1.run(RELEASE);
  
  motor2.setSpeed(200);
  motor2.run(RELEASE);
  
  motor3.setSpeed(200);
  motor3.run(RELEASE);
  
  motor4.setSpeed(200);
  motor4.run(RELEASE);
}

void loop() {
  uint8_t i;
  float cmMsec;
  long microsec = ultrasonic.timing();
  
  Serial.print("tick");
  
  motor1.run(BACKWARD);
  motor2.run(BACKWARD);
  motor3.run(BACKWARD);
  motor4.run(BACKWARD);
  i=255;
  if(cmMsec >= 20){
    i = 0;
  
    motor1.run(RELEASE);
    motor2.run(RELEASE);
    motor3.run(RELEASE);
    motor4.run(RELEASE);
    delay(1000);
  }
  motor1.setSpeed(i);
  motor2.setSpeed(i);
  motor3.setSpeed(i);
  motor4.setSpeed(i);  
  delay(10);
 
  cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);

  if(cmMsec >= 20){
    i = 0;
  
    motor1.run(RELEASE);
    motor2.run(RELEASE);
    motor3.run(RELEASE);
    motor4.run(RELEASE);
    delay(1000);
  }
}
